            #GIT_CMT=80bb210dde023aeaf89cd9c4515c364bf709173b
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%define RELEASE 1.0.4
%{?el7:%define uektag uek4}

Summary: OpenFabrics Alliance InfiniBand MAD library
Name: libibmad
Epoch: %{uek4epoch}
Version: 1.3.12
Release: %{RELEASE}%{?dist}%{?uektag}
License: GPLv2 or BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: libibmad-1.3.12.tar.bz2
Url: http://openfabrics.org/
BuildRequires: libibumad-devel >= %{uek4epoch}:1.3.10.2-1.0.1
BuildRequires: libibumad-devel < %{uek5epoch}:0
BuildRequires: libtool
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic
IB functions.

%package devel
Summary: Development files for the libibmad library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}
Requires: libibumad-devel >= %{uek4epoch}:1.3.10
Requires: libibumad-devel < %{uek5epoch}:12-1
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description devel
Development files for the libibmad library.

%package static
Summary: Static version of the libibmad library
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}

%description static
Static version of the libibmad library

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
%post devel -p /sbin/ldconfig
%postun devel -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibmad*.so.*
%doc AUTHORS COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libibmad.so
%{_includedir}/infiniband/*.h

%files static
%defattr(-,root,root)
%{_libdir}/libibmad.a

%changelog
* Mon Jun 11 2018 Aron Silverton <aron.silverton@oracle.com> - 4:1.3.12-1.0.4uek4
- libibmad: Release v4:1.3.12-1.0.4 (Aron Silverton)  [Orabug: 27593051] [Orabug: 27934606] 
- libibmad: Add "uek4" token to OL7 package (Aron Silverton)  [Orabug: 27934606] 
- libibmad: Add Epoch to package versioning (Aron Silverton)  [Orabug: 27593051] 

* Tue May 01 2018 Aron Silverton <aron.silverton@oracle.com> - 1.3.12-1.0.3
- libibmad: Consolidate OL6 and OL7 spec files (Aron Silverton)  [Orabug:
  25978222]

* Sat Oct 08 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.3.12-1.0.2
- BUILDINFO: commit=c04156daf8f738cc15009b8038fbc92024aa9f10
- libibmad: dont set errno for MAD "no records" err - app binary compatibility (Mukesh Kacker)

